API ReferenceVacation
Updates the Vacation resource.
PATCH
Updates the Vacation resource.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringVacation identifier
The updated Vacation resource
- body
status?stringValue in
"q""a""r""c"Vacation resource updated
- response
id?stringFormat
uuidcalendarUser?vacationType?|nullstatus?stringValue in
"q""a""r""c"daysCount?integerdescription?|Length
length <= 5000vacationComments?array<>vacationDates?array<>acceptedBy?|nullrejectedBy?|nullfileGenerated?booleancreatedAt?stringFormat
date-timeupdatedAt?stringFormat
date-timepermissions?curl -X PATCH 'https://app.icproject.com/api/instance/demo/calendar/vacations/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "calendarUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "vacationType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decrementVacation": true, "isActive": true }, "status": "q", "daysCount": 0, "description": "string", "vacationComments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "content": "string", "calendarUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "createdAt": "2019-08-24T14:15:22Z" } ], "vacationDates": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "date": "2019-08-24T14:15:22Z" } ], "acceptedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "rejectedBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": true, "isExternal": true, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string", "decorator": "string" }, "fileGenerated": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "permissions": { "canManage": null }}